Bug 834353 - [as5-plugin] BRMS is not recognized as a product type
[as5-plugin] BRMS is not recognized as a product type
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
Unspecified Unspecified
unspecified Severity high (vote)
: ---
: RHQ 4.5.0
Assigned To: Lukas Krejci
Mike Foley
Depends On:
Blocks: 834357 EMBJOPR-373
  Show dependency treegraph
Reported: 2012-06-21 11:53 EDT by Ian Springer
Modified: 2013-09-01 05:59 EDT (History)
5 users (show)

See Also:
Fixed In Version: 4.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 834357 EMBJOPR-373 (view as bug list)
Last Closed: 2013-09-01 05:59:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
brms (131.93 KB, image/png)
2012-08-02 11:23 EDT, Armine Hovsepyan
no flags Details
brms (131.93 KB, image/png)
2012-08-02 11:38 EDT, Armine Hovsepyan
no flags Details

  None (edit)
Description Ian Springer 2012-06-21 11:53:46 EDT
We end up efaulting the product type to "AS", and then the default Resource name, description, and version erroneously contain "AS", rather than "BRMS".
Comment 1 Ian Springer 2012-06-21 11:58:20 EDT
Fixed in master:


Name, description, and version now get discovered as follows for BRMS 5.3.0 ER8:

Name: BRMS jetengine:1099 default
Description: JBoss Business Rules Management System 5
Version: BRMS 5.3.0.BRMS-ER8
Comment 2 Armine Hovsepyan 2012-08-02 11:23:59 EDT
Created attachment 601985 [details]


clean rhq-server.4.5 (last build) server was installed with only BRMS plugin. BRMS server started. Inventored as EWP server, while in description it is said that it should be BRMS.
Comment 3 Armine Hovsepyan 2012-08-02 11:38:03 EDT
Created attachment 601987 [details]

clean rhq (last build) server was installed with only BRMS plugin. BRMS server started. Inventored as EWP server, while in description it is said that it should be BRMS.
Comment 4 Simeon Pinder 2012-08-07 12:10:15 EDT
This is a problem but it seems to be specific to the version of BRMS being tested. Discovered type is correct for BRMS 5.3.0 but not for 5.1.0 where EWS is instead being detected instead.  Probably need to tweak the type lookup code a bit here.
Comment 5 Simeon Pinder 2012-08-07 12:38:05 EDT
With a little bit more research it looks like both BRMS 5.1.0, 5.2.0 and earlier were actually based on JBoss EWS implementations to the version lookup code is working but discovering that it's a customized EWS instance used for BRMS < 5.3. 

We need to figure out what the earliest BRMS version that we support is to determine if this is because of an unsupported version?

Or we need to update the discovery code to figure out when we've discovered BRMS+EWS instead of just EWS?
Comment 6 Larry O'Leary 2012-08-07 15:22:19 EDT
The plug-in must support BRMS 5.2.x and later.
Comment 7 Simeon Pinder 2012-08-08 15:42:37 EDT
So if they run with 5.1.x then it's an unsupported configuration.  If they run with 5.3.x then the plugin discovery works correctly.  If they run with BRMS server 5.2.x then we're going to be confused as to which server we should be listing: a) EWS 5.2.x or BRMS 5.2.x. 

We currently look up the JBoss release id from the jboss instance being run to determine EWS, BRMS, etc.

11:48:55,104 INFO  [ServerImpl] Starting JBoss (Microcontainer)...
11:48:55,104 INFO  [ServerImpl] Release ID: JBoss [BRMS] 5.3.0.GA (build: SVNTag=5.3.0.GA date=201206201517)

Release ID: JBoss [EWP] 5.1.0 (build: SVNTag=JBPAPP_5_1_0 date=201009150134)

BRMS is correctly relabelling for 5.3.x but not for earlier releases.  

So we're going to have to try to try to figure out how the BRMS instance is different from EWS alone by some other means.  Such an approach could be brittle. 

Can you weigh in on this issue charles? This could be a bigger problems for SOA, JDG, etc if they're doing the same thing with their earlier releases.
Comment 8 Lukas Krejci 2012-08-17 13:59:03 EDT
master http://git.fedorahosted.org/cgit/rhq/rhq.git/diff/?id=30c5e81759f5166873e49fd3486614c282203f47
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Fri Aug 17 19:20:48 2012 +0200

    [BZ 834353] - Distinguish between BRMS 5.(1|2).0 and EWP 5.1.x by looking
    for BRMS specific jars in the client directory.
Comment 10 Heiko W. Rupp 2013-09-01 05:59:40 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.